/* Style for the main background */
.register-page {
  display: flex;
  align-items: center;
  justify-content: left;
  min-height: 47.9892rem;
  background-image: url(../img/login-background.png);
  background-size: cover;
  background-position: center;
}

/* Container style */
.register-container {
  background: rgba(255, 255, 255, 0.08);
  backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.2);
  padding: 2vw;
  border-radius: 0.5vw;
  color: #fff;
  width: 420px;
  text-align: center;
  margin-left: 6vw;
}

/* Heading style */
.register-container h1,
.register-container h2 {
  margin: 0;
}

.register-container h1 {
  font-size: 1.8rem;
  margin-bottom: 0.5rem;
}

.register-container h2 {
  font-size: 1.2rem;
  font-weight: normal;
  margin-bottom: 1rem;
}

/* Form fields */
form,
.form-field {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

#name-label,
#email-label,
#password-label,
#confirm-password-label {
  text-align: left;
  font-size: 0.9rem;
  margin-bottom: -0.6vw;
  margin-left: 0.2vw;
}

input[type="text"],
input[type="email"],
input[type="password"] {
  padding: 0.6rem;
  border-radius: 4px;
  font-size: 1rem;

  background-color: #F2E4E4;
  border: 2px solid transparent;
  transition: 0.3s ease;
}


input[type="text"]:focus, 
input[type="email"]:focus,
input[type="password"]:focus {
  border-color: #FF7765;
  outline: none;
}

/* Button style */
.register-btn {
  padding: 0.8rem;
  border: none;
  border-radius: 4px;
  background: #FF7765;
  color: #fff;
  font-size: 1rem;
  cursor: pointer;
}

.register-btn:hover {
  background: #e96555;
}

.register-btn:disabled {
  opacity : 0.7;
}

/* Link style */
p {
  font-size: 0.9rem;
}

p a {
  color: #FE8DE8;
  font-weight: 600;
  text-decoration: none;
}

/* Responsive design */
@media (max-width: 768px) {
  .register-page {
    min-height: 90vh;
  }

  .register-container {
    margin: 1vw auto;
    max-width: 85%;
  }
}